/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.AutorizacionDAO;
import com.rjconsultores.ventaboletos.entidad.Autorizacion;
import com.rjconsultores.ventaboletos.service.AutorizacionService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Administrador
 */
@Service("autorizacionService")
public class AutorizacionServiceImpl implements AutorizacionService {

    @Autowired
    private AutorizacionDAO autorizacionDAO;

    public List<Autorizacion> obtenerTodos() {
        return autorizacionDAO.obtenerTodos();
    }

    public Autorizacion obtenerID(Integer id) {
        return autorizacionDAO.obtenerID(id);
    }

    @Transactional
    public Autorizacion suscribir(Autorizacion entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return autorizacionDAO.suscribir(entidad);
    }

    @Transactional
    public Autorizacion actualizacion(Autorizacion entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return autorizacionDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(Autorizacion entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        autorizacionDAO.actualizacion(entidad);
    }

    public List<Autorizacion> buscar(String nombautorizacion, String descautorizacion) {
        return autorizacionDAO.buscar(nombautorizacion, descautorizacion);
    }
}
